Subject: bug#62284: closed ([PATCH 00/70] gnu: Add mautrix-whatsapp.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Feb 2025 15:19:03 +0000

Your bug report

#62284: [PATCH 00/70] gnu: Add mautrix-whatsapp.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62284: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62284
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH 00/70] gnu: Add mautrix-whatsapp.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Thu, 13 Feb 2025 15:18:03 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I re-imported missing packages and pushed to go-team branch after build,
lint were successfully passed for each of them.

Copyright was preserved in header for each module and mentioned as
co-authored in commit message.

In total there were just 11 new packages including mautrix-whatsapp:

a96fbeb958f * go-team gnu: Add mautrix-whatsapp.
74490102577 * gnu: Add go-maunium-net-go-mautrix.
0ba274e96e2 * gnu: Add go-go-mau-fi-zeroconfig.
7f85d49e6d4 * gnu: Add go-maunium-net-go-mauflag.
d80744e2daf * gnu: Add go-go-mau-fi-webp.
5389b0e47a8 * gnu: Add go-github-com-chai2010-webp.
79017985594 * gnu: Add go-go-mau-fi-whatsmeow.
6587fea9fea * gnu: Add go-go-mau-fi-libsignal.
280801f7112 * gnu: Add go-go-mau-fi-util.
9c90ed72158 * gnu: Add go-github-com-data-dog-go-sqlmock.
cf2010fc695 * gnu: Add go-github-com-kisielk-sqlstruct.

Closing as resolved.

--
Oleg

Subject: [PATCH 00/70] gnu: Add mautrix-whatsapp.
From: conses <[email-masked]>
To: [email-masked]
Date: Mon, 20 Mar 2023 00:25:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This patch series adds a package for
<https://github.com/mautrix/whatsapp>, a Matrix-WhatsApp puppetting
bridge.  I've tested it's working with the latest version of Synapse in
my personal homeserver for the past few months without any issues.

The only thing worth noting from this patch series is that I had to
remove some symlinks to Go libraries in the mautrix-whatsapp package
phases and instead copy the real library directories, otherwise I would
encounter issues with go:embed invocations complaining there were no
files found.  I'm not knowledgeable in Go, but from the documentation
<https://pkg.go.dev/embed> and other information I found online, namely
this issue <https://github.com/golang/go/issues/44507>, embeds don't
support symlinks, hence the workaround.

conses (70):
  gnu: Add go-github-com-tidwall-sjson.
  gnu: Add go-github-com-tidwall-gjson.
  gnu: Add go-github-com-tidwall-match.
  gnu: Add go-github-com-tidwall-pretty.
  gnu: go-google-golang-org-protobuf: Update to 1.30.0.
  gnu: Add go-google-golang-org-protobuf-package.
  gnu: Add go-google-golang-org-protobuf-proto.
  gnu: Add go-google-golang-org-protobuf-reflect-protoreflect.
  gnu: Add go-google-golang-org-protobuf-reflect-protoregistry.
  gnu: Add go-google-golang-org-protobuf-encoding-protowire.
  gnu: Add go-google-golang-org-protobuf-encoding-prototext.
  gnu: Add go-google-golang-org-protobuf-internal-encoding-text.
  gnu: Add go-google-golang-org-protobuf-internal-encoding-messageset.
  gnu: Add go-google-golang-org-protobuf-internal-encoding-defval.
  gnu: Add go-google-golang-org-protobuf-internal-encoding-tag.
  gnu: Add go-google-golang-org-protobuf-internal-errors.
  gnu: Add go-google-golang-org-protobuf-internal-set.
  gnu: Add go-google-golang-org-protobuf-internal-descfmt.
  gnu: Add go-google-golang-org-protobuf-internal-descopts.
  gnu: Add go-google-golang-org-protobuf-internal-flags.
  gnu: Add go-google-golang-org-protobuf-internal-genid.
  gnu: Add go-google-golang-org-protobuf-internal-order.
  gnu: Add go-google-golang-org-protobuf-internal-pragma.
  gnu: Add go-google-golang-org-protobuf-internal-strs.
  gnu: Add go-google-golang-org-protobuf-internal-detrand.
  gnu: Add go-google-golang-org-protobuf-internal-filedesc.
  gnu: Add go-google-golang-org-protobuf-internal-filetype.
  gnu: Add go-google-golang-org-protobuf-internal-impl.
  gnu: Add go-google-golang-org-protobuf-internal-version.
  gnu: Add go-google-golang-org-protobuf-runtime-protoiface.
  gnu: Add go-google-golang-org-protobuf-runtime-protoimpl.
  gnu: Add go-github-com-skip2-go-qrcode.
  gnu: Add go-maunium-net-go-mauflag.
  gnu: Add go-maunium-net-go-maulogger.
  gnu: Add go-mau-fi-libsignal.
  gnu: Add go-mau-fi-libsignal-package.
  gnu: Add go-mau-fi-libsignal-ecc.
  gnu: Add go-mau-fi-libsignal-groups.
  gnu: Add go-mau-fi-libsignal-cipher.
  gnu: Add go-mau-fi-libsignal-kdf.
  gnu: Add go-mau-fi-libsignal-keys-identity.
  gnu: Add go-mau-fi-libsignal-keys-prekey.
  gnu: Add go-mau-fi-libsignal-keys-chain.
  gnu: Add go-mau-fi-libsignal-keys-message.
  gnu: Add go-mau-fi-libsignal-keys-root.
  gnu: Add go-mau-fi-libsignal-keys-session.
  gnu: Add go-mau-fi-libsignal-logger.
  gnu: Add go-mau-fi-libsignal-ratchet.
  gnu: Add go-mau-fi-libsignal-serialize.
  gnu: Add go-mau-fi-libsignal-protocol.
  gnu: Add go-mau-fi-libsignal-session.
  gnu: Add go-mau-fi-libsignal-signalerror.
  gnu: Add go-mau-fi-libsignal-state-record.
  gnu: Add go-mau-fi-libsignal-state-store.
  gnu: Add go-mau-fi-libsignal-util-bytehelper.
  gnu: Add go-mau-fi-libsignal-util-keyhelper.
  gnu: Add go-mau-fi-libsignal-util-optional.
  gnu: Add go-mau-fi-libsignal-util-errorhelper.
  gnu: Add go-mau-fi-libsignal-util-medium.
  gnu: Add go-mau-fi-whatsmeow.
  gnu: Add go-github-com-rs-xid.
  gnu: go-github-com-mattn-go-isatty: Update to 0.1.13.
  gnu: Add go-github-com-coreos-go-systemd.
  gnu: Add go-github-com-coreos-go-systemd-journal.
  gnu: Add go-github-com-rs-zerolog.
  gnu: Add go-mau-fi-zeroconfig.
  gnu: Add go-maunium-net-go-mautrix.
  gnu: go-github-com-mattn-go-sqlite3: Update to 1.14.16.
  gnu: Add go-github-com-chai2010-webp.
  gnu: Add mautrix-whatsapp.

 gnu/packages/golang.scm | 635 +++++++++++++++++++++++++++++++++++++++-
 gnu/packages/matrix.scm | 121 ++++++++
 2 files changed, 748 insertions(+), 8 deletions(-)

-- 
2.39.1

-- 
Best regards,
conses